package com.willalp.canteen.domain.req;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.willalp.canteen.domain.HsCanteenOrderDetail;
import org.springframework.format.annotation.DateTimeFormat;

import java.math.BigDecimal;
import java.util.Date;
import java.util.List;
public class AppOrderPaymentReq {

    //    @NotNull(message = "用户编号不能为空")
    private String userNumber;

    //    @NotNull(message = "菜单编号不能为空")
    private String menuNumber;

    private Integer patternId;

    private Integer periodId;

    private BigDecimal orderTotal;

    private String deviceNumber;

    private String deviceName;

    private String placeNumber;

    private String placeName;

    //@NotNull(message = "支付时间不能不能为空")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date paytime;

    //    @NotNull(message = "机构代码不能为空")
    private String jgid;

    //    @NotNull(message = "订单明细不能为空")
    private List<HsCanteenOrderDetail> details;

    public String getUserNumber() {
        return userNumber;
    }

    public void setUserNumber(String userNumber) {
        this.userNumber = userNumber;
    }

    public String getMenuNumber() {
        return menuNumber;
    }

    public void setMenuNumber(String menuNumber) {
        this.menuNumber = menuNumber;
    }

    public BigDecimal getOrderTotal() {
        return orderTotal;
    }

    public void setOrderTotal(BigDecimal orderTotal) {
        this.orderTotal = orderTotal;
    }

    public String getDeviceNumber() {
        return deviceNumber;
    }

    public void setDeviceNumber(String deviceNumber) {
        this.deviceNumber = deviceNumber;
    }

    public String getDeviceName() {
        return deviceName;
    }

    public void setDeviceName(String deviceName) {
        this.deviceName = deviceName;
    }

    public Date getPaytime() {
        return paytime;
    }

    public void setPaytime(Date paytime) {
        this.paytime = paytime;
    }

    public String getJgid() {
        return jgid;
    }

    public void setJgid(String jgid) {
        this.jgid = jgid;
    }

    public List<HsCanteenOrderDetail> getDetails() {
        return details;
    }

    public void setDetails(List<HsCanteenOrderDetail> details) {
        this.details = details;
    }

    public Integer getPatternId() {
        return patternId;
    }

    public void setPatternId(Integer patternId) {
        this.patternId = patternId;
    }

    public Integer getPeriodId() {
        return periodId;
    }

    public void setPeriodId(Integer periodId) {
        this.periodId = periodId;
    }

    public String getPlaceNumber() {
        return placeNumber;
    }

    public void setPlaceNumber(String placeNumber) {
        this.placeNumber = placeNumber;
    }

    public String getPlaceName() {
        return placeName;
    }

    public void setPlaceName(String placeName) {
        this.placeName = placeName;
    }
}
